cgGetBoolStateAssignmentValues(3)

NAME
cgGetBoolStateAssignmentValues - get the values from a bool-valued state assignment

SYNOPSIS
  #include <Cg/cg.h>
  const CGbool * cgGetBoolStateAssignmentValues( CGstateassignment sa,
                                                 int * nvalues );

PARAMETERS

sa  The state assignment.

nvalues
    Pointer to integer where the number of returned values will be stored.

RETURN VALUES
Returns a pointer to an array of CGbool values. The number of values in the array is returned via the nvalues parameter.

Returns NULL if an error occurs or if no values are available. nvalues will be 0 in the latter case.

DESCRIPTION
cgGetBoolStateAssignmentValues allows the application to retrieve the value(s) of a boolean typed state assignment.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a bool type.

HISTORY
cgGetBoolStateAssignmentValues was introduced in Cg 1.4.

SEE ALSO
the cgGetStateAssignmentState manpage, the cgGetStateType manpage, the cgGetFloatStateAssignmentValues manpage, the cgGetIntStateAssignmentValues manpage, the cgGetStringStateAssignmentValue manpage, the cgGetProgramStateAssignmentValue manpage, the cgGetSamplerStateAssignmentValue manpage, the cgGetTextureStateAssignmentValue manpage